Permissions Ex error Please help :,c

Discussion in 'Spigot Help' started by xsperiorZ, Jun 3, 2017.

  1. Code (Text):
    Could not load 'plugins\/PermissionsEx-1.23.2.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
        at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:160) ~[craftbukkit.jar:git-Bukkit-d3e0b6f]
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [craftbukkit.jar:git-Bukkit-d3e0b6f]
        at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:289) [craftbukkit.jar:git-Bukkit-d3e0b6f]
        at org.bukkit.craftbukkit.v1_8_R3.CraftServer.(CraftServer.java:251) [craftbukkit.jar:git-Bukkit-d3e0b6f]
        at net.minecraft.server.v1_8_R3.PlayerList.(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-d3e0b6f]
        at net.minecraft.server.v1_8_R3.DedicatedPlayerList.(SourceFile:14) [craftbukkit.jar:git-Bukkit-d3e0b6f]
        at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:179) [craftbukkit.jar:git-Bukkit-d3e0b6f]
        at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:504) [craftbukkit.jar:git-Bukkit-d3e0b6f]
        at java.lang.Thread.run(Thread.java:745) [?:1.8.0_111]
    Caused by: java.util.zip.ZipException: error in opening zip file
        at java.util.zip.ZipFile.open(Native Method) ~[?:1.8.0_111]
        at java.util.zip.ZipFile.(ZipFile.java:219) ~[?:1.8.0_111]
        at java.util.zip.ZipFile.(ZipFile.java:149) ~[?:1.8.0_111]
        at java.util.jar.JarFile.(JarFile.java:166) ~[?:1.8.0_111]
        at java.util.jar.JarFile.(JarFile.java:130) ~[?:1.8.0_111]
        at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:148) ~[craftbukkit.jar:git-Bukkit-d3e0b6f]
        ... 8 more
     
  2. You can't fix this without edit the jar. Try to use another version.
     
    • Like Like x 1
  3. I think it's a zip-file
     
  4. Nope, just i think the jar file has wrong permissions or owner group and it's not accessable
     
  5. you edited the jar or the plugin.yml ?
    try to download another version
    org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml
     
  6. Download the plugin again